import 'package:flutter/material.dart';

import 'digit_animation.dart';

class AnimateNumber extends StatelessWidget {
  const AnimateNumber({
    super.key,
    required this.number,
  });

  final ValueNotifier<int> number;

  @override
  Widget build(BuildContext context) {
    return ValueListenableBuilder(
      valueListenable: number,
      builder: (_, value, __) {
        final valueInString = value.toString();
        final digitCount = value.toString().length;

        return Wrap(
          children: List.generate(
            digitCount,
            (index) => DigitAnimation(
              value: int.parse(valueInString[index]),
              style: const TextStyle(
                fontSize: 30,
                fontWeight: FontWeight.bold,
              ),
            ),
          ),
        );
      },
    );
  }
}
